Subject: Re: bug#54501: Segfault on recursive structure

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Mar 2022 17:33:22 +0100

Mattias Engdegård <[email-masked]> writes:

> The patch fixes the #0=#0# nonsense as well since it's a trivial
> check.

Thanks; seems to work perfectly.

Do you think this is safe enough to go on the release branch?

This isn't a regression (Emacs has segfaulted on the #0=[#1=(#0# . #1#)]
as far back as I have Emacs versions), so I'd tend toward thinking it's
not vital enough to install on the release branch, but perhaps Eli has a
different opinion.  Eli?

> Admittedly it doesn't handle #1=#2=#1# -- please keep this bug
> open if you think it's important.

No, I think this fix is sufficient.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no